﻿if HimmelsS == nil then HimmelsS = {} end


--achievementIDs for skyshards: 

HimmelsS.achievementIDs = {
	556, -- Alik'r Desert Skyshards
	695, -- Auridon Skyshards
	405, -- Bal Foyen Skyshards
	557, -- Bangkorai Skyshards
	408, -- Betnikh Skyshards
	398, -- Bleakrock Skyshards
	686, -- Coldharbour Skyshards
	694, -- Cyrodiil Aldmeri Skyshards
	693, -- Cyrodiil Daggerfall Skyshards
	692, -- Cyrodiil Ebonheart Skyshards
	547, -- Deshaan Skyshards
	688, -- Eastmarch Skyshards
	409, -- Glenumbra Skyshards
	682, -- Grahtwood Skyshards
	683, -- Greenshade Skyshards
	431, -- Khenarthi's Roost Skyshards
	684, -- Malabal Tor Skyshards
	748, -- Mountain Skyshard
	685, -- Reaper's March Skyshards
	554, -- Rivenspire Skyshards
	687, -- Shadowfen Skyshards
	397, -- Stonefalls Skyshards
	515, -- Stormhaven Skyshards
	407, -- Stros M'Kai Skyshards
	689, -- The Rift Skyshards
}


-- skyshardData format: locX, locY, achievementId, criteriaIndex, [moreInfo]
--		moreInfo:
--			nil = default
--			1 = on city map
--			2 = in solo dungeon
--			3 = in public dungeon
--			4 = in cave 

HimmelsS.skyshardsData = { 
--Alik'r Desert (Daggerfall, lvl 31-37)
	["Alik'r-Wüste"] = {		--30
		{ 0.21, 0.49, 556, 1, 1 }, --Sentinel
		{ 0.39, 0.65, 556, 2 },
		{ 0.19, 0.73, 556, 3 },
		{ 0.51, 0.70, 556, 4, 1 }, --Bergama
		{ 0.59, 0.50, 556, 5 },
		{ 0.57, 0.32, 556, 6 },
		{ 0.82, 0.43, 556, 7, 1 }, --Kozanset
		{ 0.78, 0.40, 556, 8 },
		{ 0.91, 0.57, 556, 9 },
		{ 0.659, 0.665, 556, 10, 2 }, --Aldunz
		{ 0.667, 0.326, 556, 11, 2 }, --Coldrock Diggings
		{ 0.382, 0.596, 556, 12, 2 }, --Divad’s Chagrin Mine
		{ 0.877, 0.592, 556, 13, 2 }, --Sandblown Mine
		{ 0.178, 0.578, 556, 14, 2 }, --Santaki
		{ 0.957, 0.524, 556, 15, 2 }, --Yldzuun
		{ 0.732, 0.373, 556, 16, 3 }, --Lost City of the Na-Totambu
	},
	["Schildwacht"] = {				--83 (Sentinel)
		{ 0.38, 0.64, 556, 1 },
	},
	["Bergama"] = {				--539
		{ 0.43, 0.61, 556, 4 },
	},
	["Kozanset"] = {				--538
		{ 0.65, 0.33, 556, 7 },
	},
	["Aldunz"] = {					--231              
		{ 0.20, 0.46, 556, 10 },
	},
	["Kaltfelsgrabungen"] = {	--224 (Coldrock Diggings)
		{ 0.45, 0.43, 556, 11 },
	},
	["Mine von Divads Verdruss"] = {	--226
		{ 0.63, 0.65, 556, 12 },
	},
	["Sandumtoste Mine"] = {		--230 Sandumtoste Mine
		{ 0.76, 0.42, 556, 13 },
	},
	["Santaki"] = {				--246
		{ 0.65, 0.60, 556, 14 },
	},
	["Yldzuun"] = {				--233
		{ 0.43, 0.48, 556, 15 },
	},
	["Verlorene Stadt der Na-Totambu"] = {	--76 Lost City of the Na-Totambu
		{ 0.47, 0.59, 556, 16 },
	},

--Auridon (Aldmeri lvl 5-15)
	["Auridon"] = {
		{ 0.60, 0.89, 695, 1, 1 }, --Vulkhel Guard
		{ 0.708, 0.829, 695, 2 },
		{ 0.438, 0.774, 695, 3 },
		{ 0.69, 0.52, 695, 4, 1 }, --Skywatch
		{ 0.598, 0.401, 695, 5 },
		{ 0.476, 0.534, 695, 6 },
		{ 0.422, 0.322, 695, 7 },
		{ 0.475, 0.358, 695, 8 },
		{ 0.419, 0.136, 695, 9 },
		{ 0.439, 0.406, 695, 10, 2 }, --Bewan
		{ 0.583, 0.852, 695, 11, 2 }, --Del’s Claim
		{ 0.563, 0.560, 695, 12, 2 }, --Entila’s Folly
		{ 0.203, 0.217, 695, 13, 2 }, --Mehrunes’ Spite
		{ 0.546, 0.698, 695, 14, 2 }, --Ondil
		{ 0.579, 0.326, 695, 15, 2 }, --Wansalen
		{ 0.423, 0.676, 695, 16, 3 }, --Toothmaul Gully
	},
	["Vulkhelwacht"] = {		--243 Vulkhel Guard
		{ 0.414, 0.320, 695, 1 },
	},
	["Himmelswacht"] = {				--545 Skywatch
		{ 0.547, 0.555, 695, 4 },
	},
	["Bewan"] = {					--180
		{ 0.896, 0.364, 695, 10 },
	},
	["Dels Grube"] = {			--178 Del's Claim
		{ 0.514, 0.425, 695, 11 },
	},
	["Entilas Torheit"] = {		--186 Entila's Folly
		{ 0.682, 0.569, 695, 12 },
	},
	["Mehrunes Tücke"] = {		--182 Mehrunes' Spite
		{ 0.56, 0.74, 695, 13 },
	},
	["Ondil"] = {					--179
		{ 0.809, 0.665, 695, 14 },
	},
	["Wansalen"] = {				--181
		{ 0.67, 0.61, 695, 15 },
	},
	["Zahnbrecherrinne"] = {		--268 Toothmaul Gully
		{ 0.629, 0.675, 695, 16 },
	},

--Bal Foyen (Ebonheart lvl 1-5)
	["Bal Foyen"] = {				--75
		{ 0.55, 0.56, 405, 1, 1 }, --Dhalmora
		{ 0.24, 0.74, 405, 2 },
		{ 0.38, 0.32, 405, 3 },
	},
	["Dhalmora"] = {				--56
		{ 0.335, 0.438, 405, 1 },
	},

--Bangkorai (Daggerfall, lvl 37-43)
	["Bangkorai"] = {				--20
		{ 0.38, 0.40, 557, 1, 1 }, --Evermore
		{ 0.58, 0.24, 557, 2 },
		{ 0.60, 0.10, 557, 3 },
		{ 0.54, 0.46, 557, 4 },
		{ 0.36, 0.45, 557, 5 },
		{ 0.55, 0.34, 557, 6 },
		{ 0.47, 0.84, 557, 7 },
		{ 0.35, 0.59, 557, 8 },
		{ 0.63, 0.72, 557, 9 },
		{ 0.454, 0.504, 557, 10, 2 }, --Crypt of the Exiles
		{ 0.557, 0.752, 557, 11, 2 }, --Klathzgar
		{ 0.332, 0.270, 557, 12, 2 }, --Torog's Spite
		{ 0.246, 0.660, 557, 13, 2 }, --Rubble Butte
		{ 0.712, 0.198, 557, 14, 2 }, --Troll's Toothpick
		{ 0.647, 0.421, 557, 15, 2 }, --Viridian Watch
		{ 0.233, 0.899, 557, 16, 3 }, --Razak’s Wheel
	},
	["Immerfort"] = {				--84 Evermore
		{ 0.36, 0.68, 557, 1 },
	},
	["Krypta der Verstoßenen"] = { --212 Crypt of the Exiles
		{ 0.59, 0.31, 557, 10 },
	},
	["Klathzgar"] = {				--232
		{ 0.53, 0.44, 557, 11 },
	},
	["Torog's Tücke"] = {		--229 Torog's Spite
		{ 0.53, 0.42, 557, 12 },
	},
	["Rubble Butte"] = {			--245
		{ 0.44, 0.68, 557, 13 },
	},
	["Troll's Toothpick"] = {	--239
		{ 0.37, 0.81, 557, 14 },
	},
	["Viridian Watch"] = {		--236
		{ 0.83, 0.46, 557, 15 },
	},
	["Razak’s Wheel"] = {		--71
		{ 0.69, 0.45, 557, 16 },
	},

--Betnikh (Daggerfall, lvl 1-5)
	["Betnikh"] = {				--227
		{ 0.407, 0.271, 408, 1 },
		{ 0.621, 0.605, 408, 2 },
		{ 0.370, 0.594, 408, 3 },
	},

--Bleakrock Isle (Ebonheart, lvl 1-5)
	["Ödfels"] = {		--74
		{ 0.772, 0.439, 398, 1 },
		{ 0.499, 0.228, 398, 2 },
		{ 0.26, 0.40, 398, 3, 4 }, --Hozzin's Folly entrance	
	--	{ 0.192, 0.421, 398, 3, 4 }, --exact location underground
	},
	["Hozzins Torheit"] = {		--88Hozzin's Folly
		{ 0.32, 0.83, 398, 3 },
	},
	
--Coldharbour (all)
	["Kalthafen"] = {			--255
		{ 0.41, 0.62, 686, 1 },
		{ 0.46, 0.74, 686, 2 },
		{ 0.20, 0.63, 686, 3 },
		{ 0.61, 0.65, 686, 4 },
		{ 0.71, 0.64, 686, 5 },
		{ 0.67, 0.79, 686, 6 },
		{ 0.48, 0.58, 686, 7 },
		{ 0.44, 0.41, 686, 8 },
		{ 0.67, 0.40, 686, 9 },
		{ 0.413, 0.534, 686, 10, 2 }, --Aba-Loria
		{ 0.683, 0.724, 686, 11, 2 }, --The Vault of Haman Forgefire
		{ 0.422, 0.788, 686, 12, 2 }, --The Grotto of Depravity
		{ 0.454, 0.510, 686, 13, 2 }, --Mal Sorra’s Tomb
		{ 0.670, 0.575, 686, 14, 2 }, --The Cave of Trophies
		{ 0.660, 0.376, 686, 15, 2 }, --The Wailing Maw
		{ 0.711, 0.635, 686, 16, 3 }, --Village of the Lost
	},
	["Aba-Loria"] = {					--266
		{ 0.52, 0.64, 686, 10 },
	},
	["The Vault of Haman Forgefire"] = {	--352
		{ 0.63, 0.60, 686, 11 },
	},
	["The Grotto of Depravity"] = {	--261
		{ 0.51, 0.80, 686, 12 },
	},
	["Mal Sorra’s Tomb"] = {		--332
		{ 0.58, 0.25, 686, 13 },
	},
--	["The Cave of Trophies"] = {	--594 
--		{ 0.00, 0.00, 686, 14 }, --no coordinates because this map wont load on Esohead
--	},
	["The Wailing Maw"] = {			--263
		{ 0.62, 0.37, 686, 15 },
	},
	["Village of the Lost"] = {	--339
		{ 0.33, 0.51, 686, 16 },
	},

--Cyrodiil (all, lvl 10+)
	["Cyrodiil"] = {					--16
	--Aldmeri
		{ 0.574, 0.851, 694, 1 },
		{ 0.413, 0.842, 694, 2 },
		{ 0.311, 0.659, 694, 3 },
		{ 0.629, 0.681, 694, 4 },
		{ 0.483, 0.534, 694, 5 },
		{ 0.184, 0.458, 694, 6 },
		{ 0.259, 0.531, 694, 7 },
		{ 0.501, 0.761, 694, 8 },
		{ 0.330, 0.770, 694, 9 },
		{ 0.538, 0.810, 694, 10, 2 }, --Bloodmayne Cave
		{ 0.289, 0.485, 694, 11, 2 }, --Breakneck Cave
		{ 0.316, 0.562, 694, 12, 2 }, --Haynote Cave
		{ 0.363, 0.698, 694, 13, 2 }, --Nisin Cave
		{ 0.455, 0.725, 694, 14, 2 }, --Pothole Caverns
		{ 0.206, 0.507, 694, 15, 2 }, --Serpent Hollow Cave
	--Daggerfall
		{ 0.105, 0.267, 693, 1 },
		{ 0.153, 0.151, 693, 2 },
		{ 0.176, 0.371, 693, 3 },
		{ 0.467, 0.172, 693, 4 },
		{ 0.210, 0.397, 693, 5 },
		{ 0.375, 0.330, 693, 6 },
		{ 0.271, 0.229, 693, 7 },
		{ 0.295, 0.129, 693, 8 },
		{ 0.535, 0.224, 693, 9 },
		{ 0.422, 0.147, 693, 10, 2 }, --Capstone Cave
		{ 0.355, 0.135, 693, 11, 2 }, --Echo Cave
		{ 0.154, 0.241, 693, 12, 2 }, --Lipsand Tarn
		{ 0.583, 0.195, 693, 13, 2 }, --Red Ruby Cave
		{ 0.503, 0.215, 693, 14, 2 }, --Toadstool Hollow
		{ 0.361, 0.221, 693, 15, 2 }, --Underpall Cave
	--Ebonheart
		{ 0.810, 0.168, 692, 1 },
		{ 0.887, 0.330, 692, 2 },
		{ 0.702, 0.627, 692, 3 },
		{ 0.779, 0.388, 692, 4 },
		{ 0.724, 0.509, 692, 5 },
		{ 0.654, 0.379, 692, 6 },
		{ 0.807, 0.305, 692, 7 },
		{ 0.780, 0.208, 692, 8 },
		{ 0.679, 0.186, 692, 9 },
		{ 0.673, 0.596, 692, 10, 2 }, --Cracked Wood Cave
		{ 0.807, 0.251, 692, 11, 2 }, --Kingscrest Cavern
		{ 0.710, 0.490, 692, 12, 2 }, --Muck Valley Cavern
		{ 0.721, 0.695, 692, 13, 2 }, --Newt Cave
		{ 0.759, 0.347, 692, 14, 2 }, --Quickwater Cave
		{ 0.807, 0.461, 692, 15, 2 }, --Vahtacen
	--Mountain
		{ 0.753, 0.296, 748, 1 },
	},
	--Aldmeri
	["Bloodmayne Cave"] = {			--469
		{ 0.15, 0.50, 694, 10 },
	},
	["Breakneck Cave"] = {			--285
		{ 0.48, 0.25, 694, 11 },
	},
	["Haynote Cave"] = {				--286
		{ 0.56, 0.19, 694, 12 },
	},
	["Nisin Cave"] = {				--467
		{ 0.20, 0.70, 694, 13 },
	},
	["Pothole Caverns"] = {			--291
		{ 0.60, 0.45, 694, 14 },
	},
	["Serpent Hollow Cave"] = {	--466
		{ 0.27, 0.63, 694, 15 },
	},
	--Dagerrfall
	["Capstone Cave"] = {			--470
		{ 0.69, 0.14, 693, 10 },
	},
	["Echo Cave"] = {					--473
		{ 0.41, 0.22, 693, 11 },
	},
	["Lipsand Tarn"] = {				--290
		{ 0.73, 0.20, 693, 12},
	},
	["Red Ruby Cave"] = {			--289
		{ 0.75, 0.29, 693, 13 },
	},
	["Toadstool Hollow"] = {		--294 
		{ 0.40, 0.64, 693, 14 },
	--	{ 0.48, 0.53, 693, 14 }, -- mapId:293
	},
	["Underpall Cave"] = {			--288
		{ 0.76, 0.43, 693, 15 },
	},
	--Ebonheart
	["Berstholzhöhle"] = {		--474 Cracked Wood Cave
		{ 0.36, 0.36, 692, 10 },
	},
	["Kingscrest Cavern"] = {		--340 Kingscrest Cavern
		{ 0.70, 0.45, 692, 11 },
	},
	["Muck Valley Cavern"] = {		--287
		{ 0.17, 0.67, 692, 12 },
	},
	["Newt Cave"] = {					--468
		{ 0.37, 0.33, 692, 13 },
	},
	["Quickwater Cave"] = {			--471
		{ 0.42, 0.47, 692, 14 },
	},
	["Vahtacen"] = {					--299
		{ 0.14, 0.78, 692, 15 },
	},

--Deshaan (Ebonheart, lvl 16-23)
	["Deshaan"] = {					--13
		{ 0.089, 0.472, 547, 1 },
		{ 0.18, 0.51, 547, 2, 1 }, --Narsis
		{ 0.331, 0.639, 547, 3 },
		{ 0.42, 0.48, 547, 4, 1 }, --Mournhold
		{ 0.472, 0.395, 547, 5 },
		{ 0.674, 0.652, 547, 6 },
		{ 0.779, 0.587, 547, 7 },
		{ 0.803, 0.473, 547, 8 },
		{ 0.859, 0.488, 547, 9 },
		{ 0.201, 0.448, 547, 10, 3 }, --Forgotten Crypts
		{ 0.913, 0.438, 547, 11, 2 }, --Knife Ear Grotto
		{ 0.237, 0.461, 547, 12, 2 }, --Lady Llarel’s Shelter
		{ 0.305, 0.568, 547, 13, 2 }, --Lower Bthanual
		{ 0.579, 0.457, 547, 14, 2 }, --The Triple Circle Mine 
		{ 0.625, 0.611, 547, 15, 2 }, --Taleon’s Crag
		{ 0.730, 0.388, 547, 16, 2 }, --The Corpse Garden
	},
	["Narsis"] = {						--537
		{ 0.536, 0.370, 547, 2 },
	},
	["Gramfeste"] = {					--205 Mournhold
		{ 0.26, 0.40, 547, 4 },
	},
	["Vergessene Krypten"] = {		--115 Forgotten Crypts
		{ 0.59, 0.31, 547, 10 },
	},
	["Klingenohrgrotte"] = {		--123Knife Ear Grotto
		{ 0.50, 0.64, 547, 11 },
	},
	["Lady Llarel's Shelter"] = {	--119 Lady Llarel's Shelter
		{ 0.512, 0.714, 547, 12 },
	},
	["Unterbthanual"] = {			--121 Lower Bthanual
		{ 0.524, 0.188, 547, 13 },
	},
	["Dreikreismine"] = { --120 The Triple Circle Mine
		{ 0.52, 0.36, 547, 14 },
	},
	["Taleons Klippe"] = {			--122 Taleon's Crag
		{ 0.40, 0.38, 547, 15 },
	},
	["Leichengarten"] = {		--124 The Corpse Garden
		{ 0.58, 0.80, 547, 16 },
	},

--Eastmarch (Ebonheart, lvl 31-37)
	["Ostmarsch"] = {					--61
		{ 0.33, 0.41, 688, 1 },
		{ 0.58, 0.35, 688, 2 },
		{ 0.61, 0.25, 688, 3 },
		{ 0.40, 0.50, 688, 4 },
		{ 0.30, 0.58, 688, 5, 1 }, --Fort Amol
		{ 0.14, 0.60, 688, 6 },
		{ 0.65, 0.51, 688, 7 },
		{ 0.63, 0.58, 688, 8 },
		{ 0.56, 0.65, 688, 9 },
		{ 0.725, 0.623, 688, 10, 2 }, --The Bastard’s Tomb
		{ 0.624, 0.264, 688, 11, 2 }, --The Chill Hollow
		{ 0.176, 0.558, 688, 12, 2 }, --The Frigid Grotto
		{ 0.564, 0.432, 688, 13, 2 }, --Icehammer’s Vault 
		{ 0.511, 0.618, 688, 14, 2 }, --Old Sord’s Cave
		{ 0.637, 0.653, 688, 15, 2 }, --Stormcrag Crypt
		{ 0.474, 0.283, 688, 16, 3 }, --Hall of the Dead
	},
	["Feste Amol"] = {					--578 Fort Amol
		{ 0.74, 0.10, 688, 5 },
	},
	["Grabmal des Bastards"] = {		--167 The Bastard's Tomb
		{ 0.52, 0.59, 688, 10 },
	},
	["Frostsenke"] = {		--163 The Chill Hollow
		{ 0.54, 0.58, 688, 11 },
	},
	["Eisige Grotte"] = {		--166 The Frigid Grotto
		{ 0.72, 0.19, 688, 12 },
	},
	["Eishammers Gruft"] = {		--164 Icehammer's Vault
		{ 0.77, 0.51, 688, 13 },
	},
	["Old Sord’s Cave"] = {			--165 Old Sord’s Cave
		{ 0.61, 0.66, 688, 14 },
	},
	["Sturmhang-Krypta"] = {			--168 Stormcrag Crypt
		{ 0.59, 0.40, 688, 15 },
	},
	["Halle der Toten"] = {		--140 Hall of the Dead
		{ 0.49, 0.52, 688, 16 },
	},

--Glenumbra (Daggerfall, lvl 5-15)
	["Glenumbra"] = {					--1
		{ 0.318, 0.754, 409, 1, 1 }, --Dagerfall
		{ 0.454, 0.540, 409, 2 },
		{ 0.275, 0.628, 409, 3 },
		{ 0.386, 0.418, 409, 4 },
		{ 0.458, 0.485, 409, 5 },
		{ 0.676, 0.442, 409, 6 },
		{ 0.695, 0.191, 409, 7 },
		{ 0.781, 0.308, 409, 8 },
		{ 0.78, 0.12, 409, 9, 1 }, --Crosswych
		{ 0.350, 0.727, 409, 10, 2 }, --Ilessan Tower
		{ 0.272, 0.678, 409, 11, 2 }, --Silumm
		{ 0.698, 0.530, 409, 12, 2 }, --Mines of Khuras
		{ 0.343, 0.333, 409, 13, 2 }, --Enduum
		{ 0.608, 0.185, 409, 14, 2 }, --Ebon Crypt
		{ 0.766, 0.138, 409, 15, 2 }, --Cryptwatch Fort
		{ 0.200, 0.739, 409, 16, 3 }, --Bad Man's Hallows
	},
	["Daggerfall"] = {				--63
		{ 0.69, 0.45, 409, 1 },
	},
	["Crosswych"] = {		--541
		{ 0.384, 0.325, 409, 9 },
	},
	["Ilessanischer Turm"] = {			--237 Ilessan Tower
		{ 0.30, 0.41, 409, 10 },
	},
	["Silumm"] = {						--111
		{ 0.78, 0.26, 409, 11 },
	},
	["Mines of Khuras"] = {			--228
		{ 0.33, 0.50, 409, 12 },
	},
	["Enduum"] = {						--203
		{ 0.19, 0.31, 409, 13 },
	},
	["Ebon Crypt"] = {				--215
		{ 0.57, 0.48, 409, 14 },
	},
	["Cryptwatch Fort"] = {			--235
		{ 0.69, 0.45, 409, 15 },
	},
	["Bad Man's Hallows"] = {		--65 (has more floors, mapIDs: 65,98,99)
		{ 0.42, 0.65, 409, 16 },
	},

--Grahtwood (Aldmeri, lvl 16-23)
	["Grahtwald"] = {					--9
		{ 0.74, 0.68, 682, 1, 1 }, --Haven
		{ 0.446, 0.723, 682, 2 },
		{ 0.65, 0.67, 682, 3 }, 
		{ 0.62, 0.52, 682, 4, 1 }, --Elden Root
		{ 0.65, 0.37, 682, 5 },
		{ 0.59, 0.32, 682, 6 },
		{ 0.289, 0.225, 682, 7 },
		{ 0.32, 0.60, 682, 8 },
		{ 0.474, 0.536, 682, 9 },
		{ 0.562, 0.665, 682, 10, 2 }, --Ne Salas
		{ 0.806, 0.509, 682, 11, 2 }, --The Scuttle Pit
		{ 0.484, 0.445, 682, 12, 2 }, --Burroot Kwama Mine
		{ 0.722, 0.362, 682, 13, 2 }, --Vinedeath Cave
		{ 0.185, 0.145, 682, 14, 2 }, --Wormroot Depths
		{ 0.523, 0.598, 682, 15, 2 }, --Mobar Mine
		{ 0.653, 0.599, 682, 16, 3 }, --Root Sunder Ruins
	},
	["Haven"] = {					--512
		{ 0.39, 0.24, 682, 1 },
	},
	["Elden Root"] = {			--445
		{ 0.748, 0.624, 682, 4 },
	},
	["Ne Salas"] = {				--404
		{ 0.58, 0.57, 682, 10 },
	},
	["The Scuttle Pit"] = {		--394
		{ 0.62, 0.47, 682, 11 },
	},
	["Burroot Kwama Mine"] = {	--396
		{ 0.77, 0.44, 682, 12 },
	},
	["Vinedeath Cave"] = {		--393
		{ 0.74, 0.74, 682, 13 },
	},
	["Wormroot Depths"] = {		--414
		{ 0.18, 0.70, 682, 14 },
	},
	["Mobar Mine"] = {			--395
		{ 0.40, 0.47, 682, 15 },
	},
	["Root Sunder Ruins"] = {	--283
		{ 0.27, 0.67, 682, 16 },
	},

--Greenshade (Aldmeri lvl 25-30)
	["Grünschatten"] = {			--300
		{ 0.63, 0.80, 683, 1 },
		{ 0.53, 0.65, 683, 2 },
		{ 0.68, 0.49, 683, 3, 1 }, --Marbruk
		{ 0.16, 0.70, 683, 4, 1 }, --Woodheart
		{ 0.35, 0.74, 683, 5 },
		{ 0.30, 0.57, 683, 6 },
		{ 0.30, 0.16, 683, 7 },
		{ 0.56, 0.47, 683, 8 },
		{ 0.61, 0.40, 683, 9 },
		{ 0.742, 0.613, 683, 10, 2 }, --Gurzag’s Mine
		{ 0.579, 0.895, 683, 11, 2 }, --Carac Dena
		{ 0.369, 0.684, 683, 12, 2 }, --Naril Nagaia
		{ 0.308, 0.399, 683, 13, 2 }, --The Underroot
		{ 0.630, 0.450, 683, 14, 2 }, --Harridan’s Lair
		{ 0.294, 0.152, 683, 15, 2 }, --Barrow Trench
		{ 0.388, 0.449, 683, 16, 3 }, --Rulanyil’s Fall
	},
	["Marbruk"] = {				--387
		{ 0.33, 0.29, 683, 3 },
	},
	["Woodheart"] = {				--529
		{ 0.49, 0.74, 683, 4 },
	},
	["Gurzag’s Mine"] = {		--382
		{ 0.63, 0.57, 683, 10 },
	},
	["Carac Dena"] = {			--386
		{ 0.54, 0.50, 683, 11 },
	},
	["Naril Nagaia"] = {			--391
		{ 0.26, 0.73, 683, 12 },
	},
	["The Underroot"] = {		--384
		{ 0.47, 0.24, 683, 13 },
	},
	["Harridan’s Lair"] = {		--383
		{ 0.74, 0.74, 683, 14 },
	},
	["Barrow Trench"] = {		--380
		{ 0.55, 0.56, 683, 15 },
	},
	["Rulanyil’s Fall"] = {		--278
		{ 0.68, 0.41, 683, 16 },
	},

--Khenarthi's Roost (Aldmeri, lvl 1-5)
	["Khenarthis Rast"] = {	--258
		{ 0.587, 0.811, 431, 1 },
		{ 0.538, 0.698, 431, 2 },
		{ 0.165, 0.557, 431, 3 },
		{ 0.685, 0.579, 431, 4 },
		{ 0.430, 0.400, 431, 5, 1 }, --Mistral
		{ 0.278, 0.365, 431, 6 },
	},
	["Mistral"] = {				--567
		{ 0.150, 0.345, 431, 5 },
	},

--Malabal Tor (Aldmeri, lvl 31-37)
	["Malabal Tor"] = {			--22
		{ 0.18, 0.50, 684, 1 },
		{ 0.21, 0.45, 684, 2 },
		{ 0.34, 0.59, 684, 3 },
		{ 0.51, 0.58, 684, 4 },
		{ 0.54, 0.45, 684, 5, 1 }, --Vulkwasten?
		{ 0.49, 0.67, 684, 6 },
		{ 0.79, 0.57, 684, 7 },
		{ 0.77, 0.34, 684, 8 },
		{ 0.65, 0.24, 684, 9 },
		{ 0.788, 0.298, 684, 10, 2 }, --Black Vine Ruins
		{ 0.349, 0.412, 684, 11, 2 }, --Dead Man’s Drop
		{ 0.473, 0.563, 684, 12, 2 }, --Hoarvor Pit
		{ 0.708, 0.492, 684, 13, 2 }, --Roots of Silvenar
		{ 0.623, 0.829, 684, 14, 2 }, --Shael Ruins
		{ 0.380, 0.623, 684, 15, 2 }, --Tomb of the Apostates
		{ 0.385, 0.406, 684, 16, 3 }, --Crimson Cove
	},
	["Vulkwasten"] = {			--534
		{ 0.45, 0.24, 684, 5 }
	},
	["Black Vine Ruins"] = {	--199
		{ 0.26, 0.75, 684, 10 },
	},
	["Dead Man’s Drop"] = {		--222
		{ 0.61, 0.56, 684, 11 },
	},
	["Hoarvor Pit"] = {			--262
		{ 0.66, 0.40, 684, 12 },
	},
	["Roots of Silvenar"] = {	--267
		{ 0.32, 0.59, 684, 13 },
	},
	["Shael Ruins"] = {			--260
		{ 0.16, 0.28, 684, 14 },
	},
	["Tomb of the Apostates"] = { --221
		{ 0.77, 0.37, 684, 15 },
	},
	["Crimson Cove"] = {			--175
		{ 0.83, 0.46, 684, 16 },
	},
							
--Reaper's March (Aldmeri, lvl 37-43)
	["Schnittermark"] = {		--256
		{ 0.38, 0.20, 685, 1 },
		{ 0.43, 0.33, 685, 2 },
		{ 0.34, 0.15, 685, 3 },
		{ 0.33, 0.54, 685, 4 },
		{ 0.28, 0.63, 685, 5 },
		{ 0.40, 0.64, 685, 6 },
		{ 0.78, 0.35, 685, 7, 1 }, --Dune
		{ 0.77, 0.17, 685, 8 },
		{ 0.51, 0.36, 685, 9 },
		{ 0.541, 0.301, 685, 10, 2 }, --Kuna's Delve
		{ 0.361, 0.409, 685, 11, 2 }, --Thibaut’s Cairn
		{ 0.505, 0.755, 685, 12, 2 }, --Weeping Wind Cave
		{ 0.239, 0.607, 685, 13, 2 }, --Claw’s Strike
		{ 0.753, 0.128, 685, 14, 2 }, --Fardir’s Folly
		{ 0.633, 0.395, 685, 15, 2 }, --Jode’s Light
		{ 0.282, 0.163, 685, 16, 3 }, --The Vile Manse
	},
	["Dune"] = {					--533
		{ 0.59, 0.34, 685, 7 },
	},
	["Kuna's Delve"] = {			--343
		{ 0.47, 0.30, 685, 10 },
	},
	["Thibaut’s Cairn"] = {		--323
		{ 0.30, 0.32, 685, 11 },
	},
	["Weeping Wind Cave"] = {	--307
		{ 0.61, 0.28, 685, 12 },
	},
	["Claw's Strike"] = {		--301
		{ 0.26, 0.56, 685, 13 },
	},
	["Fardir's Folly"] = {		--210
		{ 0.45, 0.53, 685, 14 },
	},
	["Jode's Light"] = {			--304
		{ 0.70, 0.87, 685, 15 },
	},
	["The Vile Manse"] = {		--317  (this dungeon has more floors, mapIDs: 317,318)  
		{ 0.40, 0.42, 685, 16 }, --mapID:317
	--	{ 0.65, 0.33, 685, 16 }, --mapID:318
	},

--Rivenspire (Daggerfall, lvl 25-30)
	["Kluftspitze"] = {			--10
		{ 0.44, 0.60, 554, 1, 1 }, -- Stornhelm
		{ 0.16, 0.57, 554, 2 },
		{ 0.30, 0.50, 554, 3 },
		{ 0.59, 0.54, 554, 4 },
		{ 0.64, 0.55, 554, 5 },
		{ 0.83, 0.17, 554, 6, 1 }, --Northpoint
		{ 0.38, 0.37, 554, 7 },
		{ 0.70, 0.13, 554, 8 },
		{ 0.59, 0.44, 554, 9 },
		{ 0.357, 0.490, 554, 10, 2 }, --Crestshade Mine
		{ 0.400, 0.311, 554, 11, 2 }, --Erokii Ruins
		{ 0.145, 0.592, 554, 12, 2 }, --Flyleaf Catacombs
		{ 0.699, 0.184, 554, 13, 2 }, --Hildune’s Secret Refuge
		{ 0.809, 0.351, 554, 14, 2 }, --Orc’s Finger Ruins
		{ 0.670, 0.604, 554, 15, 2 }, --Tribulation Crypt 
		{ 0.556, 0.456, 554, 16, 3 }, --Obsidian Scar
	},
	["Stornhelm"] = {				--85
		{ 0.62, 0.81, 554, 6 },
	},
	["Northpoint"] = {			--513
		{ 0.73, 0.21, 554, 6 },
	},
	["Crestshade Mine"] = {		--225
		{ 0.53, 0.44, 554, 10 },
	},
	["Erokii Ruins"] = {			--204
		{ 0.53, 0.88, 554, 11 },
	},
	["Flyleaf Catacombs"] = {	--216
		{ 0.61, 0.35, 554, 12 },
	},
	["Hildune's Secret Refuge"] = { --244
		{ 0.58, 0.51, 554, 13 },
	},
	["Orc's Finger Ruins"] = {	--200
		{ 0.17, 0.35, 554, 14 },
	},
	["Tribulation Crypt "] = {	--220
		{ 0.33, 0.77, 554, 15 },
	},
	["Obsidian Scar"] = {		--42
		{ 0.84, 0.59, 554, 16 },
	},
			
--Shadowfen (Ebonheart, lvl 25-30)
	["Schattenfenn"] = {				--26
		{ 0.44, 0.27, 687, 1, 1 }, --Stormhold
		{ 0.23, 0.28, 687, 2 },
		{ 0.57, 0.41, 687, 3 },
		{ 0.66, 0.59, 687, 4, 1 }, --Alten Corimont
		{ 0.79, 0.71, 687, 5 },
		{ 0.57, 0.80, 687, 6 },
		{ 0.37, 0.72, 687, 7 },
		{ 0.13, 0.78, 687, 8 },
		{ 0.25, 0.55, 687, 9 },
		{ 0.850, 0.596, 687, 10, 2 }, --Atanaz Ruins
		{ 0.826, 0.377, 687, 11, 2 }, --Broken Tusk
		{ 0.254, 0.796, 687, 12, 2 }, --Chid-Moska Ruins
		{ 0.448, 0.621, 687, 13, 2 }, --Gandranen Ruins
		{ 0.668, 0.769, 687, 14, 2 }, --Onkobra Kwama Mine
		{ 0.290, 0.169, 687, 15, 2 }, --Shrine of the Black Maw
		{ 0.651, 0.272, 687, 16, 3 }, --Sanguine’s Demesne
	},
	["Sturmfeste"] = {				--217
		{ 0.44, 0.49, 687, 1 },
	},
	["Alten Corimont"] = {		--544
		{ 0.36, 0.52, 687, 1 },
	},
	["Atanaz Ruins"] = {			--146
		{ 0.36, 0.73, 687, 10 },
	},
	["Broken Tusk"] = {			--155
		{ 0.35, 0.32, 687, 11 },
	},
	["Chid-Moska Ruins"] = {	--148
		{ 0.70, 0.70, 687, 12 },
	},
	["Gandranen Ruins"] = {		--150
		{ 0.77, 0.31, 687, 13 },
	},
	["Onkobra Kwama Mine"] = {	--147
		{ 0.73, 0.52, 687, 14 },
	},
	["Shrine of the Black Maw"] = { --149
		{ 0.86, 0.71, 687, 15 },
	},
	["Sanguine's Demesne"] = {
		{ 0.64, 0.60, 687, 16 },
	},

--Stonefalls (Ebonheart, lvl 5-15)
	["Steinfälle"] = {			--7
		{ 0.776, 0.346, 397, 1, 1 }, --Davon's Watch
		{ 0.943, 0.471, 397, 2 },
		{ 0.613, 0.610, 397, 3 },
		{ 0.390, 0.468, 397, 4 },
		{ 0.255, 0.411, 397, 5 },
		{ 0.467, 0.603, 397, 6 },
		{ 0.337, 0.682, 397, 7 },
		{ 0.087, 0.444, 397, 8 },
		{ 0.130, 0.609, 397, 9 },
		{ 0.717, 0.393, 397, 10, 2 }, --Inner Sea Armature
		{ 0.643, 0.592, 397, 11, 2 }, --Emberflint Mine
		{ 0.583, 0.594, 397, 12, 2 }, --Mephala’s Nest
		{ 0.290, 0.558, 397, 13, 2 }, --Softloam Cavern
		{ 0.358, 0.449, 397, 14, 2 }, --Hightide Hollows
		{ 0.211, 0.541, 397, 15, 2 }, --Sheogorath’s Tongue
		{ 0.933, 0.361, 397, 16, 3 }, --Crow’s Wood
	},
	["Davons Wacht"] = {		--24
		{ 0.09, 0.51, 397, 1 },
		{ 0.87, 0.57, 397, 16, 3 }, --Crow's Wood (I'm not sure about this pin)
	},
	["Inner Sea Armature"] = {	--90
		{ 0.39, 0.43, 397, 10 },
	},
	["Emberflint Mine"] = {		--112
		{ 0.25, 0.60, 397, 11 },
	},
	["Mephalas Nest"] = {		--114
		{ 0.52, 0.48, 397, 12 },
	},
	["Softloam Cavern"] = {		--110
		{ 0.72, 0.80, 397, 13 }
	},
	["Hightide Hollows"] = {	--97
		{ 0.51, 0.19, 397, 14 },
	},
	["Sheogorath's Tongue"] = { --113
		{ 0.39, 0.26, 397, 15 },
	},
	["Krähenwald"] = {			--72
		{ 0.24, 0.96, 397, 16 },
	},

--Stormhaven (Daggerfall, lvl 16-23)
	["Sturmhafen"] = {			--12
		{ 0.150, 0.347, 515, 1 },
		{ 0.220, 0.203, 515, 2 },
		{ 0.224, 0.466, 515, 3 },
		{ 0.64, 0.38, 515, 4 },
		{ 0.68, 0.49, 515, 5 },
		{ 0.39, 0.64, 515, 6 },
		{ 0.77, 0.41, 515, 7 },
		{ 0.824, 0.422, 515, 8 },
		{ 0.87, 0.47, 515, 9 },
		{ 0.786, 0.433, 515, 10, 2 }, --Bearclaw Mine
		{ 0.389, 0.653, 515, 11, 2 }, --Farangel's Delve
		{ 0.237, 0.494, 515, 12, 2 }, --Koeglin Mine
		{ 0.605, 0.367, 515, 13, 2 }, --Norvulk Ruins
		{ 0.458, 0.430, 515, 14, 2 }, --Pariah Catacombs
		{ 0.308, 0.323, 515, 15, 2 }, --Portdun Watch
		{ 0.317, 0.496, 515, 16, 3 }, --Bonesnap Ruins
	},
	["Bearclaw Mine"] = {		--223
		{ 0.18, 0.48, 515, 10 },
	},
	["Farangel's Delve"] = {	--249
		{ 0.75, 0.09, 515, 11 },
	},
	["Koeglin Mine"] = {			--202
		{ 0.40, 0.12, 515, 12 },
	},
	["Norvulk Ruins"] = {		--194
		{ 0.35, 0.53, 515, 13 },
	},
	["Pariah Catacombs"] = {	--219
		{ 0.76, 0.31, 515, 14 },
	},
	["Portdun Watch"] = {		--238
		{ 0.70, 0.45, 515, 15 },
	},
	["Bonesnap Ruins"] = {		--189
		{ 0.25, 0.73, 515, 16},	--mapID:189
	--	{ 0.25, 0.64, 515, 16}, --mapID:31
	},

--Stros M'Kai (Daggerfall, lvl 1-5)
	["Stros M'Kai"] = {			--201
		{ 0.423, 0.515, 407, 1 },
		{ 0.644, 0.400, 407, 2 },
		{ 0.542, 0.809, 407, 3 },
	},
	["Port Hunding"] = {			--530
		{ 0.64, 0.18, 407, 2 },
	},

--The Rift (Ebonheart, lvl 37-43)
	["Rift"] = {				--125
		{ 0.43, 0.27, 689, 1 },
		{ 0.64, 0.29, 689, 2 }, --Shor's Stone (you can't go there from city, so no "city" label on tooltip)
		{ 0.32, 0.38, 689, 3 },
		{ 0.33, 0.51, 689, 4 },
		{ 0.39, 0.55, 689, 5 },
		{ 0.11, 0.44, 689, 6 },
		{ 0.84, 0.51, 689, 7 },
		{ 0.79, 0.62, 689, 8 },
		{ 0.72, 0.45, 689, 9 },
		{ 0.385, 0.574, 689, 10, 2 }, --Avanchnzel
		{ 0.828, 0.588, 689, 11, 2 }, --Broken Helm Hollow entrance (skyshard is on the world map cca 0.83,0.61)
		{ 0.498, 0.472, 689, 12, 2 }, --Faldar's Tooth
		{ 0.718, 0.404, 689, 13, 2 }, --Fort Greenwall
		{ 0.134, 0.294, 689, 14, 2 }, --Shroud Hearth Barrow
		{ 0.317, 0.234, 689, 15, 2 }, --Snapleg Cave
		{ 0.059, 0.427, 689, 16, 3 }, --The Lion's Den
	},
	["Shor's Stone"] = {			--542
		{ 0.29, 0.44, 689, 2 },
	},
	["Avanchnzel"] = {			--169
		{ 0.51, 0.14, 689, 10 },
	},
	["Faldar's Tooth"] = {		--214
		{ 0.27, 0.33, 689, 12 },
	},
	["Fort Greenwall"] = {		--254
		{ 0.85, 0.73, 689, 13 },
	},
	["Shroud Hearth Barrow"] = { --211
		{ 0.55, 0.46, 689, 14 },
	},
	["Snapleg Cave"] = {			--265
		{ 0.84, 0.50, 689, 15 },
	},
	["The Lion's Den"] = {		--142
		{ 0.64, 0.39, 689, 16 },
	},
}
