
local subzone, pos

local function HimmelsS_Compass_unknown( pinManager )
	if not HimmelsS.SavedVariables.showCompass then return end
	
	subzone = GetMapName()
	pos = string.find (subzone, "^", 1, true)	
	if pos then
		subzone = string.sub (subzone, 1, pos-1)
	end
		
	local skyshards = HimmelsS.skyshardsData[subzone]
	if not skyshards then return end
	
	for _, pinData in pairs(skyshards) do
		local _, completed = GetAchievementCriterion(pinData[3], pinData[4])
		if completed < 1 then
			pinManager:CreatePin( _G["HimmelsSMapPin_unknown"], pinData[1], pinData[2])
		end
	end

end

Himmelsscherben_zoneUpdate = function(id, zoneName, subZoneName, newSubzone)
	COMPASS_PINS:RefreshPins()
end

function HSInitializeCompass()	
	COMPASS_PINS:AddCustomPin(_G["HimmelsSMapPin_unknown"], HimmelsS_Compass_unknown, HimmelsS.pinLayout_unknown)
	COMPASS_PINS:RefreshPins()
end

--EVENT_MANAGER:RegisterForEvent("Himmelsscherben_ZONEUPDATE",  EVENT_ZONE_CHANGED, RefreshCompass)
EVENT_MANAGER:RegisterForEvent("HSZU", EVENT_ZONE_CHANGED, Himmelsscherben_zoneUpdate)
